org.apache.jmeter.visualizers

## Interface Printable

- All Known Implementing Classes:
    AbstractAssertionGui, AbstractConfigGui, AbstractControllerGui, AbstractJMeterGuiComponent, AbstractListenerGui, AbstractPostProcessorGui, AbstractPreProcessorGui, AbstractRandomTimerGui, AbstractSamplerGui, AbstractScopedJMeterGuiComponent, AbstractThreadGroupGui, AbstractTimerGui, AbstractVisualizer, AjpSamplerGui, AnchorModifierGui, ArgumentsPanel, AssertionGui, AssertionVisualizer, AuthPanel, BackendListenerGui, BeanShellAssertionGui, BeanShellSamplerGui, BoundaryExtractorGui, CacheManagerGui, ComparisonVisualizer, ConstantTimerGui, CookiePanel, CounterConfigGui, CriticalSectionControllerGui, DNSCachePanel, DurationAssertionGui, ExampleSamplerGui, ForeachControlPanel, FtpConfigGui, FtpTestSamplerGui, GaussianRandomTimerGui, GraphVisualizer, HeaderPanel, HTMLAssertionGui, HtmlExtractorGui, HTTPArgumentsPanel, HttpDefaultsGui, HttpMirrorControlGui, HttpTestSampleGui, IfControllerPanel, IncludeControllerGui, InterleaveControlGui, JavaConfigGui, JavaTestSamplerGui, JMSPublisherGui, JMSSamplerGui, JMSSubscriberGui, JSONPathAssertionGui, JSONPostProcessorGui, JUnitTestSamplerGui, LDAPArgumentsPanel, LdapConfigGui, LdapExtConfigGui, LdapExtTestSamplerGui, LdapTestSamplerGui, LogicControllerGui, LoginConfigGui, LoopControlPanel, MailerVisualizer, MailReaderSamplerGui, MD5HexAssertionGUI, ModuleControllerGui, ObsoleteGui, OnceOnlyControllerGui, PoissonRandomTimerGui, PostThreadGroupGui, PropertyControlGui, ProxyControlGui, RandomControlGui, RandomOrderControllerGui, RecordController, RegexExtractorGui, RegExUserParametersGui, RespTimeGraphVisualizer, ResultActionGui, ResultSaverGui, RunTimeGui, SampleTimeoutGui, SetupThreadGroupGui, SimpleConfigGui, SimpleDataWriter, SizeAssertionGui, SMIMEAssertionGui, SmtpSamplerGui, StatGraphVisualizer, StatVisualizer, SummariserGui, SummaryReport, SwitchControllerGui, SystemSamplerGui, TableVisualizer, TCPConfigGui, TCPSamplerGui, TestActionGui, TestBeanGUI, TestFragmentControllerGui, TestPlanGui, ThreadGroupGui, ThroughputControllerGui, TransactionControllerGui, UniformRandomTimerGui, URLRewritingModifierGui, UserParametersGui, ViewResultsFullVisualizer, WhileControllerGui, WorkBenchGui, XMLAssertionGui, XMLSchemaAssertionGUI, XPath2ExtractorGui, XPathAssertionGui, XPathExtractorGui

      public interface Printable

  Printable is used by components that can be saved to an external file. It is up to the visualizers to get the right component containing the JPanel or JComponent to save.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getPrintableComponent()`

- - ### Method Detail

    - #### getPrintableComponent

          javax.swing.JComponent getPrintableComponent()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.